commit:     70232809d4be3521b6533bde7aaeb45edb09b11e
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 10 22:30:00 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Feb 10 22:30:00 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70232809

dev-python/jpype: version bump.

Package-Manager: portage-2.3.3

 dev-python/jpype/Manifest           |  1 +
 dev-python/jpype/jpype-0.6.2.ebuild | 38 +++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/jpype/Manifest b/dev-python/jpype/Manifest
index 06504b3138..2b049e0ed5 100644
--- a/dev-python/jpype/Manifest
+++ b/dev-python/jpype/Manifest
@@ -1 +1,2 @@
 DIST jpype-0.6.1.zip 251407 SHA256 
63ad841bae8d4a75e657f867122ef569ef6e9545d6880d30da63930bc74816e5 SHA512 
e3cdae95a394f5b57049f444e4da442a75938279f77d74304ac6a45bf00eb4110d3a63b5580e30d82777764f195f848639f6b4e973e48510d0f5cd60c475ce2f
 WHIRLPOOL 
5ae85f6a1e52f8fc26242f8772f467df06bca15447db9ac3881e1688bb86966aa3eeb542ad228779b286be3b7ece46cba13b15835bb6914eb2861122f614429f
+DIST jpype-0.6.2.zip 260812 SHA256 
f1138b3836a1e236b2d9d18e223c5ee9bcc0fd3c9ecd482b6f02104db69bc40d SHA512 
f4ce5fe6e0f920f6c17bc8815c09fb54909f105fb4cf022856482680f24305a002ce00354cf44c730b34220d12f1d926971b246d0a938bb411401b0656486091
 WHIRLPOOL 
26e3686beb9cd62e9e7bd5d53b7b960e571767690e8c26b4022efece2f3de4f9a0349e561ee46267db542404077b7d2d985b226fc27c56864858cb7cbd8d36d8

diff --git a/dev-python/jpype/jpype-0.6.2.ebuild 
b/dev-python/jpype/jpype-0.6.2.ebuild
new file mode 100644
index 0000000000..0b1edf0d02
--- /dev/null
+++ b/dev-python/jpype/jpype-0.6.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit java-pkg-2 distutils-r1
+
+DESCRIPTION="JPype is an effort to allow Python programs full access to Java 
class librairies"
+HOMEPAGE="https://github.com/originell/jpype";
+SRC_URI="https://github.com/originell/${PN}/archive/v${PV}.zip -> ${P}.zip"
+
+LICENSE="Apache-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+
+S="${WORKDIR}/${P}"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=virtual/jdk-1.6"
+
+python_compile() {
+       if ! python_is_python3; then
+               local CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
+               export CXXFLAGS
+       fi
+       distutils-r1_python_compile
+}
+
+python_install() {
+       use doc && local DOCS=( doc/* )
+       use examples && local EXAMPLES=( examples/. )
+       distutils-r1_python_install
+}

Reply via email to